<?php
$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_0c5123aa744f69bbc0e" . "8b3ea2f6e847d" => base64_decode("bG1zZw" . "=="), "_7771b5dcfeeecba30b" . "34d84c09a21ec4" => base64_decode("Y2FsZW5kYXIuZXJyX2ludmFsaWRfZG" . "F0ZQ=="), "_d717884c" . "e9fe95b21" . "2f09fa387" . "68bc1f" => base64_decode("Y2FsZW5kYXIuZXJyX2VuZF9iZWZvc" . "mVfc3RhcnQ="));






class CalendarEventDatePeriod extends DatePeriodDialog
{
    public function __construct($_7392cbdbf5bdf4880fc8e5fbb070663d = false)
    {
        parent::__construct($_7392cbdbf5bdf4880fc8e5fbb070663d);
    }
    
    
    
    
    
    
    public function ValidateStartEnd()
    {
        if (!$this->start || !$this->end) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_7771b5dcfeeecba30b" . "34d84c09a21ec4"]));
        }
        
        
        if (Date::compare($this->start, $this->end, 1) <= 0) {
            return true;
        } else {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d717884ce9fe95b2" . "12f09fa38768bc1f"]));
        }
    }
}